#include "object.h"
#include <stdarg.h>
#include <stdlib.h>

object * make_object(obj_meta * meta, void * parent, int num_props, ...)
{
	va_list args;
	object * newobj = malloc(meta->size);
	newobj->meta = meta;
	newobj->parent = parent;
	
	va_start(args, num_props);
	object ** curprop = ((object **)(newobj + 1));
	for (; num_props > 0; num_props--)
	{
		*curprop = va_arg(args, object *);
	}
	va_end(args);
	return newobj;
}

